<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FastEndpoints" Version="7.0.1" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.20"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.20" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.20">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.20" />
        <PackageReference Include="Singulink.Cryptography.PasswordHasher" Version="3.0.2" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.6.2"/>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Endpoints\Comment\" />
      <Folder Include="Endpoints\Post\" />
      <Folder Include="Endpoints\User\" />
    </ItemGroup>

</Project>
